package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.CardNoJsonSeralizer;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;
import com.gic.web.common.jsonSeralizer.UserNameJsonSeralizer;

import java.io.Serializable;

public class GroupChatUserQuitExcelVO implements Serializable {

    /**1企业成员2外部联系人3客户*/
    private String userTypeExcel;
    /**姓名*/
    private String userName;
    /**昵称*/
    private String nickName;
    /**用户退群时间*/
    private String userQuitTimeExcel;
    private String chatName ;
    private String staffName ;

    private String quitStaffStore ;

    private String memberId ;
    private String memberNick ;
    @JsonSerialize(using = UserNameJsonSeralizer.class)
    private String memberName ;
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String memberPhone ;
    @JsonSerialize(using = CardNoJsonSeralizer.class)
    private String memberCard;

    private Integer memberScene ;

    public String getUserTypeExcel() {
        return userTypeExcel;
    }

    public void setUserTypeExcel(String userTypeExcel) {
        this.userTypeExcel = userTypeExcel;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserQuitTimeExcel() {
        return userQuitTimeExcel;
    }

    public void setUserQuitTimeExcel(String userQuitTimeExcel) {
        this.userQuitTimeExcel = userQuitTimeExcel;
    }

    public String getChatName() {
        return chatName;
    }

    public void setChatName(String chatName) {
        this.chatName = chatName;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getQuitStaffStore() {
        return quitStaffStore;
    }

    public void setQuitStaffStore(String quitStaffStore) {
        this.quitStaffStore = quitStaffStore;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public String getMemberCard() {
        return memberCard;
    }

    public void setMemberCard(String memberCard) {
        this.memberCard = memberCard;
    }

    public Integer getMemberScene() {
        return memberScene;
    }

    public void setMemberScene(Integer memberScene) {
        this.memberScene = memberScene;
    }
}
